<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__tpsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_tpsc_config_t</compoundname>
    <includes local="no">cy_ble_tps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__tpsc__config__t_1ada3fe820c63fb2c80383f552eec8de92" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__tpsc__t">cy_stc_ble_tpsc_t</ref> *</type>
        <definition>cy_stc_ble_tpsc_t* cy_stc_ble_tpsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="113" />
      </memberdef>
      <memberdef id="structcy__stc__ble__tpsc__config__t_1a185210c1ac33b53ed4bf6d6a93157405" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_tpsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="116" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="116" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1266">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="1264">
        <label>cy_stc_ble_tpsc_config_t</label>
        <link refid="structcy__stc__ble__tpsc__config__t" />
        <childnode refid="1265" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="1265">
        <label>cy_stc_ble_tpsc_t</label>
        <link refid="structcy__stc__ble__tpsc__t" />
        <childnode refid="1266" relation="usage">
          <edgelabel>txPowerLevelChar</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="118" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="111" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__tpsc__config__t_1ada3fe820c63fb2c80383f552eec8de92" virt="non-virtual"><scope>cy_stc_ble_tpsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__tpsc__config__t_1a185210c1ac33b53ed4bf6d6a93157405" virt="non-virtual"><scope>cy_stc_ble_tpsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>